Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit
Class NodeInstanceLog

    java.lang.Object
      org.jbpm.process.audit.NodeInstanceLog

All Implemented Interfaces:
  Serializable

    @Entity
    public class NodeInstanceLog

extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`static int` | `TYPE_ENTER`
`static int` | `TYPE_EXIT`

Constructor Summary
`NodeInstanceLog(int type, long processInstanceId, String processId, String nodeInstanceId, String nodeId, String nodeName)`

Method Summary
`boolean` | `equals(Object obj)`
`Date` | `getDate()`
`long` | `getId()`
`String` | `getNodeId()`
`String` | `getNodeInstanceId()`
`String` | `getNodeName()`
`String` | `getProcessId()`
`long` | `getProcessInstanceId()`
`int` | `getType()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_ENTER

    public static final int TYPE_ENTER

See Also:
  Constant Field Values

### TYPE_EXIT

    public static final int TYPE_EXIT

See Also:
  Constant Field Values

Constructor Detail

### NodeInstanceLog

    public NodeInstanceLog(int type,
                           long processInstanceId,
                           String processId,
                           String nodeInstanceId,
                           String nodeId,
                           String nodeName)

Method Detail

### getType

    public int getType()

### getId

    public long getId()

### getProcessInstanceId

    public long getProcessInstanceId()

### getProcessId

    public String getProcessId()

### getNodeInstanceId

    public String getNodeInstanceId()

### getNodeId

    public String getNodeId()

### getNodeName

    public String getNodeName()

### getDate

    public Date getDate()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.